PiBox - Bug #291
kernel-saveconfig is saving to bcmrpi_defconfig
10 Mar 2014 19:53 - Hammel

Status: Closed Start date: 10 Mar 2014
Priority: Immediate Due date:

Assignee: Hammel % Done: 100%
Category: 03 - Linux Kernel Estimated time: 0.00 hour
Target version: 0.8.0

Severity: 01 - Critical

Description

It should be going to src/kernel/linux-rpi-3.10.y.cfg.rpi-3.10.y.

This is currently on the CentOS build box though its not a CentOS problem. It's a problem with the configs/kernel-git.cfg setting for
KERNEL_CONFIG and KERNEL_DEFCONFIG.

Associated revisions

Revision 3373cd3f - 11 Mar 2014 09:44 - Hammel

RM #291: Remove GIT ID from KERNEL_CFG, which is the name of the config file saved in our tree.

Revision faf59cfb - 11 Mar 2014 09:45 - Hammel

RM #291: Make saveconfig use KERNEL_CFG as the saved file name.

Revision dbc3c2ce - 11 Mar 2014 09:48 - Hammel

RM #291: Change KERNEL_CFG to KERNEL_SAVECFG so its a little more obvious what the variable is being used for.

Revision c8416928 - 11 Mar 2014 18:33 - Hammel
RM #291: Changed local kernel config name so it doesn't include git id.

RM #287: Disabled NFS in the kernel and rootfs.
RM #231: Disabled all unused filesystems.

History

#1 - 11 Mar 2014 09:44 - Hammel
- Status changed from New to In Progress
- % Done changed from 0 to 30

This happens because
1. KERNEL_CFG includes the GIT_ID. It shouldn't.
2. KERNEL_CONFIG checks for KERNEL_CFG, can't find it, so uses KERNEL_DEFCONFIG.
3. kernel-saveconfig saves to KERNEL_CONFIG
What should happen is
1. KERNEL_CFG should not include GIT_ID.
2. KERNEL_CONFIG is okay as it is
3. kernel-saveconfig save to KERNEL_CFG

The saving of the .config from the kernel build tree should go to the config file we want, not the one we're using since the one we're using may just be a
fallback if the one we want didn't exist yet. After we've built and modified from the defconfig we want to save to the file we will use in later builds, which
will be KERNEL_CFG.

#2 - 11 Mar 2014 09:56 - Hammel
- % Done changed from 30 to 50

| removed the git id from KERNEL_CFG.

| made saveconfig use KERNEL_CFG.

Then | changed the name of KERNEL_CFG to KERNEL_SAVECFG to make it a little more obvious what the variable is used for compared to
KERNEL_CONFIG and KERNEL_DEFCONFIG.

These are checked in but not pushed. I'm retesting the kernel build because | changed the name of the saved 3.10.y kernel config to match
KERNEL_SAVECFG and saved and updated kernel configuration to it (related to RM #287). | want to make sure | didn't muck up the config while

doing all this name changing.

#3 - 11 Mar 2014 18:52 - Hammel
- Status changed from In Progress to Closed
- % Done changed from 50 to 100

Verified working and all changes pushed upstream. This issue can be closed.

21 Oct 2020 22



